# PUT /billing/sources/{id} URL: https://developers.vsee.io/api/payment-api/put/billing/sources/%7Bid%7D Auth: User Token — Requires a user access token from login or SSO. Set default payment source Set a payment source as default Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — Payment source ID Request body (application/json): - is_default (boolean, optional) - room_code (string, optional) - provider_id (string, optional) Example request: ```json { "is_default": true, "room_code": "string", "provider_id": "string" } ``` Responses: - 200 — Successful update ```json { "data": { "id": "card_19DrgXBY2jn2BCqQNpjjzuay", "type": "card", "brand": "Visa", "exp_month": 8, "exp_year": 2017, "last4": "4242", "is_default": true } } ```